Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.ListMouseMotionHandler

    java.lang.Object
      java.awt.event.MouseMotionAdapter
          javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler

All Implemented Interfaces:
  MouseMotionListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListMouseMotionHandler

extends MouseMotionAdapter

This listener changes the selected item as you move the mouse over the list. The selection change is not committed to the model, this is for user feedback only.

Constructor Summary
`protected` | `BasicComboPopup.ListMouseMotionHandler()`

Method Summary
`void` | `mouseMoved(MouseEvent anEvent)` Invoked when the mouse button has been moved on a component (with no buttons no down).

Methods inherited from class java.awt.event.MouseMotionAdapter
`mouseDragged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.ListMouseMotionHandler

    protected BasicComboPopup.ListMouseMotionHandler()

Method Detail

### mouseMoved

    public void mouseMoved(MouseEvent anEvent)

  Description copied from class: `MouseMotionAdapter`
  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  Overrides:
    `mouseMoved` in class `MouseMotionAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.